Transaction UTXOs
curl --request GET \
--url https://nexus-dev.gerowallet.io/v1/transactions/{txHash}/utxos \
--header 'Authorization: Bearer <token>'{
"hash": "<string>",
"inputs": [
{
"collateral": true,
"reference": true,
"tx_hash": "<string>",
"output_index": 123,
"owner_addr": "<string>",
"owner_stake_addr": "<string>",
"owner_payment_credential": "<string>",
"owner_stake_credential": "<string>",
"amounts": [
{
"unit": "<string>",
"quantity": "<string>",
"policy_id": "<string>",
"asset_name": "<string>"
}
],
"lovelace_amount": 123,
"data_hash": "<string>",
"inline_datum": "<string>",
"inline_datum_json": {},
"reference_script_hash": "<string>",
"script_ref": "<string>",
"block_number": 123,
"block_time": 123,
"slot": 123,
"block_hash": "<string>",
"epoch": 123,
"consumed_by_tx": "<string>",
"is_collateral_return": true
}
],
"outputs": [
{
"collateral": true,
"reference": true,
"tx_hash": "<string>",
"output_index": 123,
"owner_addr": "<string>",
"owner_stake_addr": "<string>",
"owner_payment_credential": "<string>",
"owner_stake_credential": "<string>",
"amounts": [
{
"unit": "<string>",
"quantity": "<string>",
"policy_id": "<string>",
"asset_name": "<string>"
}
],
"lovelace_amount": 123,
"data_hash": "<string>",
"inline_datum": "<string>",
"inline_datum_json": {},
"reference_script_hash": "<string>",
"script_ref": "<string>",
"block_number": 123,
"block_time": 123,
"slot": 123,
"block_hash": "<string>",
"epoch": 123,
"consumed_by_tx": "<string>",
"is_collateral_return": true
}
]
}Transactions
Get transaction UTXOs
Return the inputs and UTXOs of the specific transaction.
GET
/
v1
/
transactions
/
{txHash}
/
utxos
Transaction UTXOs
curl --request GET \
--url https://nexus-dev.gerowallet.io/v1/transactions/{txHash}/utxos \
--header 'Authorization: Bearer <token>'{
"hash": "<string>",
"inputs": [
{
"collateral": true,
"reference": true,
"tx_hash": "<string>",
"output_index": 123,
"owner_addr": "<string>",
"owner_stake_addr": "<string>",
"owner_payment_credential": "<string>",
"owner_stake_credential": "<string>",
"amounts": [
{
"unit": "<string>",
"quantity": "<string>",
"policy_id": "<string>",
"asset_name": "<string>"
}
],
"lovelace_amount": 123,
"data_hash": "<string>",
"inline_datum": "<string>",
"inline_datum_json": {},
"reference_script_hash": "<string>",
"script_ref": "<string>",
"block_number": 123,
"block_time": 123,
"slot": 123,
"block_hash": "<string>",
"epoch": 123,
"consumed_by_tx": "<string>",
"is_collateral_return": true
}
],
"outputs": [
{
"collateral": true,
"reference": true,
"tx_hash": "<string>",
"output_index": 123,
"owner_addr": "<string>",
"owner_stake_addr": "<string>",
"owner_payment_credential": "<string>",
"owner_stake_credential": "<string>",
"amounts": [
{
"unit": "<string>",
"quantity": "<string>",
"policy_id": "<string>",
"asset_name": "<string>"
}
],
"lovelace_amount": 123,
"data_hash": "<string>",
"inline_datum": "<string>",
"inline_datum_json": {},
"reference_script_hash": "<string>",
"script_ref": "<string>",
"block_number": 123,
"block_time": 123,
"slot": 123,
"block_hash": "<string>",
"epoch": 123,
"consumed_by_tx": "<string>",
"is_collateral_return": true
}
]
}Documentation Index
Fetch the complete documentation index at: https://nexus.gerowallet.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
bearerAuthapiKeyAuth
JWT Token Authentication
Path Parameters
Required string length:
1 - 128Pattern:
^[a-fA-F0-9]+$Query Parameters
Available options:
MAINNET, PREPROD ⌘I